Subject: Re: [PATCH v3 0/3] Add a JSON Schema for trace2 events

From: SZEDER Gábor <[email-masked]>
Date: Fri, 2 Aug 2019 21:16:07 +0200

On Thu, Aug 01, 2019 at 06:52:47PM -0700, Jonathan Nieder wrote:
> What do you think of making the validation disabled by default and
> using a parameter (see "Running tests with special setups" in
> t/README) to turn it on?  That way, it should be okay for it to take
> 10 minutes because this would only affect such specialized workers as
> choose to set that parameter, instead of all of them.

That's kind of what the third patch in this series already does, as it
performs this schema validation only in the 'linux-gcc' build job.

> Gábor, if we introduce such a parameter, do you think it would make
> sense for us to set up a worker that passes it?

That would be even worse than the current approach of the third patch,
because the additional worker would have to install dependencies,
build Git and run the test suite, in addition to the enormous overhead
of redundantly validating the trace output of every git command
executed during 'make test'.  So instead of adding "only" 10 minutes
to every build, it would add over 20.